Show / Hide Table of Contents

# Struct Rectangle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Math

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Rectangle

### Fields

| Improve this Doc View Source

#### Bottom

##### Declaration

    public float Bottom

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Left

##### Declaration

    public float Left

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Right

##### Declaration

    public float Right

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Top

##### Declaration

    public float Top

##### Field Value

Type | Description
--- | ---
System.Single |

### Operators

| Improve this Doc View Source

#### Implicit(Rectangle to RectangleF)

##### Declaration

    public static implicit operator RectangleF(Rectangle rect)

##### Parameters

Type | Name | Description
--- | --- | ---
Rectangle | rect |

##### Returns

Type | Description
--- | ---
System.Drawing.RectangleF |